%global _empty_manifest_terminate_build 0
Name:		python-hyperopt
Version:	0.2.4
Release:	1
Summary:	Distributed Asynchronous Hyperparameter Optimization
License:	BSD
URL:		http://hyperopt.github.com/hyperopt/
Source0:	https://files.pythonhosted.org/packages/b0/69/ee6a5596e925778e5aaaaf2eda3c07ac362aaad43ff66a75bef02b9f6bf6/hyperopt-0.2.4.tar.gz
BuildArch:	noarch

Requires:	python3-numpy
Requires:	python3-scipy
Requires:	python3-six
Requires:	python3-networkx
Requires:	python3-future
Requires:	python3-tqdm
Requires:	python3-cloudpickle
Requires:	python3-lightgbm
Requires:	python3-scikit-learn
Requires:	python3-pymongo
Requires:	python3-pyspark
Requires:	python3-black
Requires:	python3-pre-commit
Requires:	python3-nose
Requires:	python3-pytest

%description
Hyperopt is a Python library for serial and parallel optimization over awkward
search spaces, which may include real-valued, discrete, and conditional
dimensions.

%package -n python3-hyperopt
Summary:	Distributed Asynchronous Hyperparameter Optimization
Provides:	python-hyperopt
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
%description -n python3-hyperopt
Hyperopt is a Python library for serial and parallel optimization over awkward
search spaces, which may include real-valued, discrete, and conditional
dimensions.

%package help
Summary:	Development documents and examples for hyperopt
Provides:	python3-hyperopt-doc
%description help
Hyperopt is a Python library for serial and parallel optimization over awkward
search spaces, which may include real-valued, discrete, and conditional
dimensions.

%prep
%autosetup -n hyperopt-0.2.4

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-hyperopt -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Wed Sep 30 2020 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated
